# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# This ebuild it based off of the official Signal ebuild which also uses a deb
# package. The dependencies are loosely from one of the deb package's
# control.tar.gz extracted files.

EAPI=8
inherit xdg

DESCRIPTION="Vesktop is a custom Discord desktop app"
HOMEPAGE="https://github.com/Vencord/Vesktop"
SRC_URI="https://github.com/Vencord/Vesktop/releases/download/v${PV}/vesktop_${PV}_amd64.deb"

LICENSE="GPL-3"
SLOT="0"

KEYWORDS="~amd64"

DEPEND="
	x11-libs/gtk+:3
	x11-libs/libnotify
	dev-libs/nss
	x11-libs/libXtst
	x11-misc/xdg-utils
	app-accessibility/at-spi2-core
"
RDEPEND="${DEPEND}"

src_unpack() {
	default
	unpack ./control.tar.gz
	unpack ./data.tar.xz
	mkdir "vesktop-bin-${PV}"
	mv ./opt ./usr "vesktop-bin-${PV}"
}

src_install() {
	insinto /
	doins -r opt

	insinto /usr/share
	doins -r usr/share/applications
	#dodoc -r usr/share/doc/vesktop/changelog.gz
	doins -r usr/share/icons

	fperms +x /opt/Vesktop/vesktop /opt/Vesktop/chrome-sandbox
	dosym -r /opt/Vesktop/vesktop /usr/bin/vesktop-bin
}

pkg_postinst() {
	xdg_pkg_postinst
}

pkg_postrm() {
	xdg_pkg_postrm
}
